
From: Andrew Morton <akpm@osdl.org>

Cc: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/usb/class/audio.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/usb/class/audio.c~drivers-usb-fix-up-schedule_timeout-usage-fix drivers/usb/class/audio.c
--- devel/drivers/usb/class/audio.c~drivers-usb-fix-up-schedule_timeout-usage-fix	2005-08-18 03:00:52.000000000 -0700
+++ devel-akpm/drivers/usb/class/audio.c	2005-08-18 03:01:18.000000000 -0700
@@ -1104,7 +1104,7 @@ static void usbout_stop(struct usb_audio
 	i = u->flags;
 	spin_unlock_irqrestore(&as->lock, flags);
 	while (i & (FLG_URB0RUNNING|FLG_URB1RUNNING|FLG_SYNC0RUNNING|FLG_SYNC1RUNNING)) {
-		if (not_killed)
+		if (notkilled)
 			schedule_timeout_interruptible(1);
 		else
 			schedule_timeout_uninterruptible(1);
@@ -1123,7 +1123,6 @@ static void usbout_stop(struct usb_audio
 			notkilled = 0;
 		}
 	}
-	set_current_state(TASK_RUNNING);
 	kfree(u->durb[0].urb->transfer_buffer);
 	kfree(u->durb[1].urb->transfer_buffer);
 	kfree(u->surb[0].urb->transfer_buffer);
_
